Pbx Recordings
Alle Operationen rund um Pbx Recordings.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| PBX Call Recording | pbx_recording |
12 | — | call_recording_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/pbx_recordings |
Create pbx_recording | Create a new pbx_recording in the active tenant. |
DELETE |
/v1/pbx_recordings/{id} |
Delete pbx_recording | Soft delete entity. |
GET |
/v1/pbx_recordings/{id} |
Get pbx_recording by id | Fetch a single pbx_recording. |
GET |
/v1/pbx_recordings/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/pbx_recordings/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/pbx_recordings/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/pbx_recordings |
List pbx_recordings | List pbx_recordings for the active tenant. |
PATCH |
/v1/pbx_recordings/{id} |
Patch pbx_recording | JSON Merge Patch update. |
POST |
/v1/pbx_recordings/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/pbx_recordings/{id}/transition |
POST /v1/pbx_recordings/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/pbx_recordings/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/pbx_recordings/{id} |
Replace pbx_recording | Full replace with optimistic locking. |